Helicon Upgrade hits the Fuji Testnet July 28.Fuji Testnet July 28Read more
Utxos

Get last activity timestamp by addresses

Gets the last activity timestamp for the supplied addresses on one of the Primary Network chains.

GET
/v1/networks/{network}/blockchains/{blockchainId}/lastActivityTimestampByAddresses
x-glacier-api-key<token>

Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://build.avax.network/console/utilities/data-api-keys.

In: header

Path Parameters

blockchainIdstring

A primary network blockchain id or alias.

Value in"11111111111111111111111111111111LpoYY" | "2oYMBNV4eNHyqk2fjjV5nVQLDbtmNJzq5s3qs3Lo6ftnC6FByM" | "2JVSBoinj9C2J33VntvzYtVJNZdN2NKiwwKjcumHUWEb5DbBrm" | "2q9e4r6Mu3U68nU1fYjgbR6JvwrRx36CohpAX5UQxse55x1Q5" | "yH8D7ThNJkxmtkuv2jgBa4P1Rn3Qpr4pPr7QYNfcdoS6k6HWp" | "p-chain" | "x-chain" | "c-chain"
networkstring

Either mainnet or testnet/fuji.

Value in"mainnet" | "fuji" | "testnet"

Query Parameters

addresses?string

A comma separated list of X-Chain or P-Chain wallet addresses, starting with "avax"/"fuji", "P-avax"/"P-fuji" or "X-avax"/"X-fuji".

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://data-api.avax.network/v1/networks/mainnet/blockchains/p-chain/lastActivityTimestampByAddresses?addresses=avax1h2ccj9f5ay5acl6tyn9mwmw32p8wref8vl8ctg"
{
  "timestamp": 0,
  "blockNumber": "string",
  "txHash": "string",
  "utxoId": "string",
  "isConsumed": true,
  "chainName": "p-chain",
  "network": "mainnet"
}
{
  "message": "string",
  "statusCode": 400,
  "error": "Bad Request"
}
{
  "message": "string",
  "statusCode": 401,
  "error": "Unauthorized"
}
{
  "message": "string",
  "statusCode": 403,
  "error": "Forbidden"
}
{
  "message": "string",
  "statusCode": 404,
  "error": "Not Found"
}
{
  "message": "string",
  "statusCode": 429,
  "error": "Too Many Requests"
}
{
  "message": "string",
  "statusCode": 500,
  "error": "Internal Server Error"
}
{
  "message": "string",
  "statusCode": 502,
  "error": "Bad Gateway"
}
{
  "message": "string",
  "statusCode": 503,
  "error": "Service Unavailable"
}

Is this guide helpful?